#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.1
visibility:           public
id:                   stack-2.7.1-FgsktIhmFWEI53snckkMPc
key:                  stack-2.7.1-FgsktIhmFWEI53snckkMPc
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  e8c9d4c76ca9663969e9667f6cd09d19
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.1
hs-libraries:         HSstack-2.7.1-FgsktIhmFWEI53snckkMPc
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-9o8y4QVT0ed6zIp89KPO7i
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-3dYssvxHKaG2lTcCQ7MiaX array-0.5.4.0
    async-2.2.3-IhTi4VeJesa5W1nGjaCoJA
    attoparsec-0.14.1-5l1cFZrGW545rXZu8IvVx4 base-4.15.0.0
    base64-bytestring-1.2.0.1-CsiHq2FrRoKF2bDlGNv0Jf
    bytestring-0.10.12.1 casa-client-0.0.1-8jxHZzL6nPP9C3l9fJi8c
    casa-types-0.0.2-1KHU5gp1dH6JEgIwFqTOGD
    colour-2.3.6-BWFvlIjBnp9EbFX4Jn1Fyq
    conduit-1.3.4.1-K5eDu05qjl0KVIYFvTpDgh
    conduit-extra-1.3.5-Kpf4PFF0Y5x6rqbvxv9I3r containers-0.6.4.1
    cryptonite-0.29-91yKuNV6meNFTHY5TTCsKL
    cryptonite-conduit-0.2.2-BV8M33zZMtO1aIoSEa7y1v deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.9-IcqPRc3tlcv73Ao9edr4fI
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-KwHGLT2nFkXHr4s3mxVB1B filepath-1.4.2.1
    fsnotify-0.3.0.1-HXTEezKuqRw6hqZCgw33g3
    generic-deriving-1.14-LHulL7F9qCT6Pko23vSFZN
    hackage-security-0.6.0.1-2wVvtrVJkr4tqZeGZxPTJ
    hashable-1.3.2.0-GcuYQ7tqoHiC8dylGWZgv9
    hi-file-parser-0.1.2.0-IAnAPNWh5dYH4OWO22Gs20
    hpack-0.34.4-Dy7FydkJ96AKbzhM52yFS3 hpc-0.6.1.0
    http-client-0.7.8-25QqChzgp0q9j6ealXbwz
    http-client-tls-0.3.5.3-2NopcBeZBikAvXm9rALndj
    http-conduit-2.3.8-KMGSnoc3nD5J647xCTdRfs
    http-download-0.2.0.0-AgHY5SAHNkg3pUTtR1KC7T
    http-types-0.12.3-EsczPCiHgMfDgCbh8KUGRq
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.2-5b08LLwS4rI2XuvUvOFfBx
    mono-traversable-1.0.15.1-4TMpW1V9Yup9GXPpBCRF0N mtl-2.2.2
    mustache-2.3.1-DKuHyfeIItPBTOEdeP3tCj
    neat-interpolation-0.5.1.2-BnUYcZ2XsqoBKRtUOoIZmY
    network-uri-2.6.4.1-HkoRuB3ykvaLxStim29dr5
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-DS7gx8MaAHc6ejBVskKbVS
    pantry-0.5.2.3-IHFV5VH4LKL1tqROzWgnXX
    path-0.9.0-CAyXH4pM481Gr5ka7O1cg1
    path-io-1.6.3-FXhh5UJwRpqHSzH8iS1ig9
    persistent-2.13.1.0-89jNYmE4wmVL0FGRjPVxV6
    persistent-sqlite-2.13.0.3-LDPP43iv5uB2L02s2t2gMO pretty-1.1.3.6
    primitive-0.7.1.0-FzMFSpjFTSY7YtlPPz98XL process-1.6.11.0
    project-template-0.2.1.0-vTJ7wcUxP1Bx5nMVkr8n6
    regex-applicative-text-0.1.0.1-5p4ytsIcy0xGbXHAszJobL
    retry-0.9.0.0-44ZZDsGlmbDHflBKgDz8PF
    rio-0.1.20.0-9IKJYfqTzYu1CgkDeZcdt6
    rio-prettyprint-0.1.1.0-8BerMSeIYfTHegv2fWUHaP
    split-0.2.3.4-IuBvszwBo1y39CSfsuMIgU stm-2.5.0.0
    streaming-commons-0.2.2.1-7P3CpPyRGGNBAQXTahQOJU
    tar-0.5.1.1-64B7ff3SQby9xDaLfwneTp template-haskell-2.17.0.0
    temporary-1.3-1i4tbaKLQIXEHgxLsvgG6Z text-1.2.4.1
    text-metrics-0.3.0-Fd01HHIrIcPJG7kEGrTk1P
    th-reify-many-0.1.9-J6smuBgDUcvD3no68woMkJ time-1.9.3
    tls-1.5.5-KxuZ47p07MZ7quywbd7hp7 transformers-0.5.6.2
    typed-process-0.2.6.0-7XvtARs9XYNIwvBn2wZst7
    unicode-transforms-0.3.7.1-ExTiA1crI7i1eS1dF0UVAS unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.18-zuNj0DcGxwCuGzbL64Qum
    unordered-containers-0.2.14.0-GZb439Gbt7L1ozynZzbOaU
    vector-0.12.3.0-F01VHQmqrpj3f3agvYLGVp
    yaml-0.11.5.0-6CyyM93o6OGBgox2p9D08x
    zip-archive-0.4.1-9bGnuSrxAex4xsHz1XJAdL
    zlib-0.6.2.3-LaW0VK1sjuBGKMVx6Ek94H

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

